﻿using System.Drawing;

namespace TestZoom
{
    /// <summary>
    /// Klasse, die fortlaufend Kamerabilder
    /// zur Verfügung stellt
    /// </summary>
    public class CameraConnection
    {
        /// <summary>Höhe der Bilder</summary>
        public double Height { get; private set; }
        /// <summary>Breite der Bilder</summary>
        public double Width { get; private set; }

        /// <summary>Bild 1</summary>
        private Bitmap bmp1;
        /// <summary>Bild 2</summary>
        private Bitmap bmp2;
        /// <summary>Flag zur Ausgabe des nächsten Bildes</summary>
        private bool Flag;

        /// <summary>
        /// Konstruktor
        /// </summary>
        public CameraConnection()
        {
            this.bmp1 = Properties.Resources.Image1_8;
            this.bmp2 = Properties.Resources.Image2_8;
            this.Flag = false;
            this.Width = this.bmp1.Width;
            this.Height = this.bmp1.Height;
        }

        /// <summary>
        /// einen Snapshot auslösen
        /// </summary>
        /// <returns>das aufgenommene Bild</returns>
        internal Bitmap Snap()
        {
            this.Flag = !this.Flag;
            if (this.Flag)
            {
                return (Bitmap)this.bmp1.Clone();
            }
            else
            {
                return (Bitmap)this.bmp2.Clone();
            }
        }
    }
}
