﻿using System.Windows.Forms;

namespace TestZoom
{
    /// <summary>
    /// Klasse mit Extension-Methoden
    /// </summary>
    static class MyExtensions
    {
        /// <summary>
        /// Setzen des Values einer VScrollBar innerhalb seiner Grenzen
        /// </summary>
        /// <param name="scrollBar">die VScrollBar</param>
        /// <param name="value">der zu setzende Wert</param>
        public static void SetValue(this VScrollProperties scrollBar, int value)
        {
            if (value <= scrollBar.Minimum)
            {
                scrollBar.Value = scrollBar.Minimum;
            }
            else if (value >= scrollBar.Maximum)
            {
                scrollBar.Value = scrollBar.Maximum;
            }
            else
            {
                scrollBar.Value = value;
            }
        }

        /// <summary>
        /// Setzen des Values einer HScrollBar innerhalb seiner Grenzen
        /// </summary>
        /// <param name="scrollBar">die HScrollBar</param>
        /// <param name="value">der zu setzende Wert</param>
        public static void SetValue(this HScrollProperties scrollBar, int value)
        {
            if (value <= scrollBar.Minimum)
            {
                scrollBar.Value = scrollBar.Minimum;
            }
            else if (value >= scrollBar.Maximum)
            {
                scrollBar.Value = scrollBar.Maximum;
            }
            else
            {
                scrollBar.Value = value;
            }
        }
    }
}
